#!/bin/bash

KAZ_ROOT=$(cd "$(dirname $0)/../.."; pwd)
. "${KAZ_ROOT}/bin/.commonFunctions.sh"
setKazVars

###########################################################################"
#on récupère la dernière version de paheko et tous les plugin

PAHEKO_VER=$(grep "^ENV PAHEKO_VERSION" Dockerfile | awk '{print $3}')
#FCT_VER="0.8.5"
echo "VERSION PAHEKO : $PAHEKO_VER"
#echo "VERSION FACTURATION : $FCT_VER"

downloadFile () {
    # $1 URL to download
    if [ ! -f "$(basename "$1")" ]; then
        printKazMsg "  - load $1"
        curl -L -O "$1"
    fi
}

mkdir -p "${KAZ_DNLD_DIR}/paheko"
cd "${KAZ_DNLD_DIR}/paheko"

#pour être certain de récupérer les dernières versions de plugin
rm * -f

printKazMsg "\n  *** Download paheko on ${KAZ_DNLD_DIR}"

downloadFile "https://fossil.kd2.org/paheko/uv/paheko-${PAHEKO_VER}.tar.gz"

###########################################################################
printKazMsg "\n  *** Création du Dockerfile paheko"

cd "${KAZ_ROOT}"

docker build -t pahekokaz . -f dockers/paheko/Dockerfile
